## fio 0.1.0

=== DESCRIPTION ===
Package: fio
Title: Friendly Input-Output Analysis
Version: 0.1.0
Authors@R: c(
  person(
    given = "Alberson",
    family = "da Silva Miranda",
    email = "albersonmiranda@hotmail.com",
    role = c("aut", "cre", "cph"),
    comment = c(ORCID = "0000-0001-9252-4175")
    ),
  person(
    given = "Celso",
    family = "Bissoli Sessa",
    email = "celso.sessa@ufes.br",
    role = c("dtc"),
    comment = c(ORCID = "0000-0001-7616-0244")
    )
  )
Description: Simplifies the process of importing and managing input-output
  matrices from 'Microsoft Excel' into R, and provides a suite of functions for
  analysis. It leverages the 'R6' class for clean, memory-efficient
  object-oriented programming. Furthermore, all linear algebra computations are
  implemented in 'Rust' to achieve highly optimized performance.
URL: https://albersonmiranda.github.io/fio/,
        https://github.com/albersonmiranda/fio
BugReports: https://github.com/albersonmiranda/fio/issues
Encoding: UTF-8
RoxygenNote: 7.3.2
Depends: R (>= 4.0)
SystemRequirements: Cargo (Rust's package manager), rustc (Rust's
        compiler)
LazyData: true
Imports: cli, clipr, emoji, fs, miniUI, readxl, rlang, shiny, Rdpack
License: MIT + file LICENSE
Config/rextendr/version: 0.3.1
Suggests: knitr, rmarkdown, spelling, microbenchmark, leontief,
        ggplot2, writexl, callr, testthat (>= 3.0.0)
VignetteBuilder: knitr
Language: en-US
Config/testthat/edition: 3
RdMacros: Rdpack
NeedsCompilation: yes
Packaged: 2024-07-30 15:54:41 UTC; albersonmiranda
Author: Alberson da Silva Miranda [aut, cre, cph]
    (<https://orcid.org/0000-0001-9252-4175>),
  Celso Bissoli Sessa [dtc] (<https://orcid.org/0000-0001-7616-0244>)
Maintainer: Alberson da Silva Miranda <albersonmiranda@hotmail.com>
Repository: CRAN
Date/Publication: 2024-08-01 14:40:05 UTC
