## fio 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: fio
 Title: Friendly Input-Output Analysis
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: c(
   person(
     given = "Alberson",
@@ -41,10 +41,10 @@
 Config/testthat/edition: 3
 RdMacros: Rdpack
 NeedsCompilation: yes
-Packaged: 2024-08-16 10:17:34 UTC; albersonmiranda
+Packaged: 2024-08-26 03:56:16 UTC; albersonmiranda
 Author: Alberson da Silva Miranda [aut, cre, cph]
     (<https://orcid.org/0000-0001-9252-4175>),
   Celso Bissoli Sessa [dtc] (<https://orcid.org/0000-0001-7616-0244>)
 Maintainer: Alberson da Silva Miranda <albersonmiranda@hotmail.com>
 Repository: CRAN
-Date/Publication: 2024-08-21 12:40:02 UTC
+Date/Publication: 2024-08-27 08:10:06 UTC
