## fio 0.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: fio
 Title: Friendly Input-Output Analysis
-Version: 0.1.2
+Version: 0.1.5
 Authors@R: c(
   person(
     given = "Alberson",
@@ -27,13 +27,13 @@
 BugReports: https://github.com/albersonmiranda/fio/issues
 Encoding: UTF-8
 RoxygenNote: 7.3.2
-Depends: R (>= 4.0)
+Depends: R (>= 4.2)
 SystemRequirements: Cargo (Rust's package manager), rustc >= 1.67.1, xz
 LazyData: true
-Imports: cli, clipr, emoji, fs, miniUI, readxl, rlang, shiny, Rdpack,
-        R6
+Imports: cli, clipr, emoji, fs, miniUI, readxl, rlang, shiny, Rdpack (>
+        2.3.1), R6
 License: MIT + file LICENSE
-Config/rextendr/version: 0.3.1.9000
+Config/rextendr/version: 0.3.1.9001
 Suggests: knitr, rmarkdown, spelling, microbenchmark, leontief,
         ggplot2, writexl, callr, testthat (>= 3.0.0)
 VignetteBuilder: knitr
@@ -41,10 +41,10 @@
 Config/testthat/edition: 3
 RdMacros: Rdpack
 NeedsCompilation: yes
-Packaged: 2024-08-26 03:56:16 UTC; albersonmiranda
+Packaged: 2025-04-02 19:47:55 UTC; albersonmiranda
 Author: Alberson da Silva Miranda [aut, cre, cph]
     (<https://orcid.org/0000-0001-9252-4175>),
   Celso Bissoli Sessa [dtc] (<https://orcid.org/0000-0001-7616-0244>)
 Maintainer: Alberson da Silva Miranda <albersonmiranda@hotmail.com>
 Repository: CRAN
-Date/Publication: 2024-08-27 08:10:06 UTC
+Date/Publication: 2025-04-02 21:50:09 UTC
