## fio 1.0.0

=== DESCRIPTION ===
Package: fio
Title: Friendly Input-Output Analysis
Version: 1.0.0
Authors@R: c(
  person(
    given = "Alberson",
    family = "da Silva Miranda",
    email = "albersonmiranda@hotmail.com",
    role = c("aut", "cre", "cph"),
    comment = c(ORCID = "0000-0001-9252-4175")
    ),
  person(
    given = "Celso",
    family = "Bissoli Sessa",
    email = "celso.sessa@ufes.br",
    role = c("dtc"),
    comment = c(ORCID = "0000-0001-7616-0244")
    )
  )
Description: Simplifies the process of economic input-output analysis by combining
  user-friendly interfaces with high-performance computation. It provides tools
  for analyzing both single-region and multi-regional economic systems through a
  hybrid architecture that pairs R's accessibility with Rust's computational efficiency.
URL: https://albersonmiranda.github.io/fio/,
        https://github.com/albersonmiranda/fio
BugReports: https://github.com/albersonmiranda/fio/issues
Encoding: UTF-8
RoxygenNote: 7.3.3
Depends: R (>= 4.2)
SystemRequirements: Cargo (Rust's package manager), rustc >= 1.84, xz
Imports: cli, clipr, emoji, fs, miniUI, readxl, rlang, shiny, Rdpack (>
        2.3.1), R6
License: MIT + file LICENSE
Config/rextendr/version: 0.4.2.9000
Suggests: knitr, rmarkdown, spelling, bench, leontief, ggplot2,
        writexl, callr, testthat (>= 3.0.0), fiodata
VignetteBuilder: knitr
Language: en-US
Config/testthat/edition: 3
RdMacros: Rdpack
NeedsCompilation: yes
Packaged: 2026-02-26 15:10:30 UTC; albersonmiranda
Author: Alberson da Silva Miranda [aut, cre, cph] (ORCID:
    <https://orcid.org/0000-0001-9252-4175>),
  Celso Bissoli Sessa [dtc] (ORCID:
    <https://orcid.org/0000-0001-7616-0244>)
Maintainer: Alberson da Silva Miranda <albersonmiranda@hotmail.com>
Repository: CRAN
Date/Publication: 2026-02-27 08:40:02 UTC
