## fio 1.38

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 SCRIPTS = fio_generate_plots
 OBJS = gettime.o fio.o ioengines.o init.o stat.o log.o time.o filesetup.o \
 	eta.o verify.o memory.o io_u.o parse.o mutex.o options.o \
-	rbtree.o diskutil.o fifo.o blktrace.o smalloc.o filehash.o
+	rbtree.o diskutil.o fifo.o blktrace.o smalloc.o filehash.o helpers.o \
+	cgroup.o profile.o debug.o
 
 OBJS += crc/crc7.o
 OBJS += crc/crc16.o
@@ -30,6 +31,8 @@
 OBJS += engines/net.o
 OBJS += engines/syslet-rw.o
 OBJS += engines/guasi.o
+
+OBJS += profiles/tiobench.o
 
 ifneq ($(findstring $(MAKEFLAGS),s),s)
 ifndef V
