=== debian/control ===
Source: fio
Section: utils
Priority: optional
Maintainer: Martin Steigerwald <ms@teamix.de>
Uploaders: Michael Prokop <mika@debian.org>
Build-Depends: debhelper (>= 7), libaio-dev
Standards-Version: 3.8.4
Homepage: http://freshmeat.net/projects/fio
Vcs-Git: git://git.debian.org/git/collab-maint/fio.git
Vcs-Browser: http://git.debian.org/git/collab-maint/fio.git

Package: fio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnuplot
Description: Flexible I/O Tester
 fio is a tool that will spawn a number of threads or processes doing a
 particular type of io action as specified by the user. fio takes a
 number of global parameters, each inherited by the thread unless
 otherwise parameters given to them overriding that setting is given.
 The typical use of fio is to write a job file matching the io load
 one wants to simulate.
