## fio 1.59

=== debian/changelog ===
fio (1.59-1) unstable; urgency=low

  * Imported Upstream version 1.59.
    - Added support for SuperH architecture (Closes: #561891).
      Thanks to Nobuhiro Iwamatsu for the patch and build testing.
  * debian/patches/manpage: Escape minus signs to fix lintian warning
    I: fio: hyphen-used-as-minus-sign usr/share/man/man1/fio.1.gz:934
  * New rdma engine in engines/rdma.c:
    * debian/rules: Add variables for makefile to build new rdma engine.
    * debian/control: Added build dependencies for new rdma engine.

 -- Martin Steigerwald <ms@teamix.de>  Wed, 10 Oct 2011 17:19:00 +0200
