=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,8 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	# Build inclusive I/O engine rdma.
+	EXTFLAGS="-DFIO_HAVE_RDMA" EXTLIBS="-libverbs -lrdmacm" $(MAKE)
 
 	touch $@
