=== debian/changelog ===
fio (2.0.8-2) unstable; urgency=low

  * debian/patches/ftbfs-fix-for-mips-architecture: 
    Fixed build failure on mips and mipsel architectures. Sven Hoexter
    suggested the fix and Jens Axboe confirmed it. Thanks.

 -- Martin Steigerwald <ms@teamix.de>  Wed, 27 Jun 2012 09:25:49 +0200

fio (2.0.8-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * Fix Vcs-Browser URL.

  [ Martin Steigerwald ]
  * Imported Upstream version 2.0.7 which sports a client / server
    architecture.
  * debian/control: Updated to standards version 3.9.3.
    No changes needed.
  * debian/patches:
    * makefile: Updated for fio 2.0.7 makefile.
    * manpage: Removed, applied upstream.
  * debian/copyright:
    * Updated to 2012.
    * Converted to machine readable format 1.0.
  * Imported Upstream version 2.0.8
  * patches/makefile-hardening and debian/rules: Changed to build
    fio with hardening flags.

 -- Martin Steigerwald <ms@teamix.de>  Tue, 26 Jun 2012 09:28:22 +0200
