=== debian/changelog ===
fio (2.1.6.1-1) stable; urgency=low

  * New upstream.

 -- Wessel Dankers <wsl@fruit.je>  Mon, 24 Mar 2014 13:41:33 +0100
