=== debian/changelog ===
fio (2.1.11-2) unstable; urgency=medium

  * debian/control: Added RBD support by adding librbd-dev to build
    dependencies. Thanks to Benjamin Drung for report and patch.
    Closes: #760266.

 -- Martin Steigerwald <ms@teamix.de>  Tue, 02 Sep 2014 15:37:28 +0200

fio (2.1.11-1) unstable; urgency=medium

  * dh_builddeb without -z9, so use xz, but do not set default level.
  * Imported Upstream version 2.1.11.
  * debian/patches:
    - makefile-hardening: Adapted to new C++ build option.
    - makefile-clean-delete-config-log-and-d-files: Deleted. Fixed upstream.
    - makefile-rm-configlog: Added.
  * debian/control: Updated to standards version 3.9.5.
    No changes needed.

 -- Martin Steigerwald <ms@teamix.de>  Mon, 21 Jul 2014 15:53:36 +0200
